Bug 1031726 - RFE: allow chain-build to build the current package as first
RFE: allow chain-build to build the current package as first
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 10:46 EST by Jaroslav Škarvada
Modified: 2015-06-29 08:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2013-11-18 10:46:32 EST
Description of problem:
Currently the chain-build builds the current package as last. This is useful, but sometimes I need the opposite. E.g. when updating gnuradio, I usually switch to the gnuradio git, build the gnuradio itself and then the packages that has dep on it. It would really help me if i could issue chain-build (with some parameter) from the gnuradio git tree with the list of deps to build after it.

Version-Release number of selected component (if applicable):
fedora-packager-0.5.10.1-4

How reproducible:
always

Steps to Reproduce:
1. fedpkg co PACKAGE1
2. cd PACKAGE1
3. fedpkg chain-build PACKAGE2 : PACKAGE3

Actual results:
Packages are build in the following order: PACKAGE2, PACKAGE3, PACKAGE1.

Expected results:
Possibility to build in the following order: PACKAGE1, PACKAGE2, PACKAGE3 (by adding some switch, e.g. --first)

Additional info:
Of course it is doable by switching to the git tree of one of the dep and issuing the chain-build with gnuradio on the first position and other deps following, but having a switch for it would be more straightforward.
Comment 1 Fedora End Of Life 2015-05-29 05:47:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 08:58:40 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.